Package net.sf.saxon.expr.flwor

## Class WindowClausePush

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePush
  - - net.sf.saxon.expr.flwor.WindowClausePush

-     public class WindowClausePush
      extends TuplePush

  Implement a sliding or tumbling window clause of a FLWOR expression in tuple-push mode. The entire window processing is activated once for each input tuple, and it generates one output tuple for each identified window.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WindowClausePush​(Outputter outputter, TuplePush destination, WindowClause windowClause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the tuple stream, indicating that no more tuples will be supplied
    `void` | `processTuple​(XPathContext context)` | Notify the availability of the next tuple.

    - ### Methods inherited from class net.sf.saxon.expr.flwor.TuplePush

      `getOutputter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowClausePush

          public WindowClausePush​(Outputter outputter,
                                  TuplePush destination,
                                  WindowClause windowClause)

  - ### Method Detail

    - #### processTuple

          public void processTuple​(XPathContext context)
                            throws XPathException

      Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object
      Specified by:
        `processTuple` in class `TuplePush`
      Parameters:
        `context` - the dynamic evaluation context
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### close

          public void close()
                     throws XPathException

      Close the tuple stream, indicating that no more tuples will be supplied
      Overrides:
        `close` in class `TuplePush`
      Throws:
        `XPathException` - if a dynamic error occurs